textures/outdoor/mirror
{
qer_editorimage textures/outdoor/black.jpg
noPicMip //Doesnt get bad quality render at distance
noMipMaps //Doesnt get bad quality render at distance
surfaceparm nolightmap //Not affected by lightmap
surfaceparm playerclip //Player can not walkthrough, not really necessary.
portal //Makes the mirror functioning
{
map textures/outdoor/black.jpg //Black works best
blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA // Advanced blendfunc
depthWrite //Advanced
alphaGen portal 1024 // Sets fade distance of mirror in gu
}
}

textures/outdoor/KOsAD_Mirroir
{
	qer_editorimage textures/metro/KOsAD_Mirroir.jpg

	portal

	{
		map textures/metro/KOsAD_Mirroir.blend.tga
		alphafunc lt128
		blendfunc gl_one gl_one_minus_src_alpha
		alphagen portal 512
		depthwrite
	}
	{
		map textures/metro/KOsAD_Mirroir.jpg
		blendfunc filter
	}
	{
		map textures/metro/glass03.jpg
		tcgen environment
		tcmod scale 8 8
		blendfunc filter
	}

	{
		map textures/metro/KOsAD_Mirroir.blend.tga
		alphafunc ge128
		rgbgen vertex
		depthwrite
	}
}
textures/outdoor/proto_lightred
{
	qer_editorimage textures/outdoor/proto_lightred.jpg
	q3map_lightimage textures/outdoor/proto_lightred.jpg
	surfaceparm nomarks
	q3map_surfacelight 1250
	
	{
		map textures/outdoor/proto_lightred.jpg
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
	{
		map textures/outdoor/proto_lightred.jpg
		blendFunc add
	}
}
textures/outdoor/blue_glass
{
	qer_editorimage textures/outdoor/blue_glass.tga
        surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	qer_trans 	0.5

        {
		map textures/outdoor/blue_glass.tga
		blendFunc blend
		rgbGen identity
	}           
}

textures/outdoor/water
{
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm water

  cull disable
  deformVertexes wave 64 sin .25 .25 0 .5
  {
    map textures/outdoor/water_bluish.jpg
    blendFunc GL_DST_COLOR GL_ONE
    rgbgen identity
    tcmod scale .5 .5
    tcmod scroll .025 .01
  }

  {
    map textures/outdoor/water_redish.jpg
    blendFunc GL_DST_COLOR GL_ONE
    tcmod scale -.5 -.5
    tcmod scroll .025 .025
  }


  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
    rgbgen identity
  }
}

textures/outdoor/clear
{
	qer_editorimage textures/outdoor/clear.jpg
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/outdoor/clear.jpg
		blendfunc add
		rgbGen const ( 0.0 0.0 0.0 )
	}
}
textures/common/caulk
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/outdoor/force_field
{
	qer_editorimage textures/outdoor/force_field.jpg
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/outdoor/force_field.jpg
		blendfunc add
		rgbGen const ( 0.1 0.1 0.15 )
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}
}
textures/outdoor/water2
{
qer_editorimage textures/outdoor/water2.tga
//qer_trans .5
entityMergable
q3map_globaltexture //Corrects problems with the tcmod scale function
surfaceparm nobuild
surfaceparm trans
surfaceparm nonsolid
surfaceparm water //Defines water properties
surfaceparm fog //Adds fog property for lowering visibility of water
fogparms ( 0.01 0.07 0.07 ) 1024 //fog settings (R,G,B) Distance to 0% Transparency
cull disable //Removes cull, cull makes a texture be applied to only one face of a side.
tesssize 128 //tesssize defines the amount of triangles for deformation.
deformVertexes wave 100 sin 1 2 1 .1 //Brush deformation settings
{
map textures/outdoor/water2.tga
blendfunc GL_ONE GL_SRC_COLOR //Advanced blendfunc
tcMod scale .03 .03 //Scale texture
tcMod scroll .01 .001 //Moves texture
}{
map textures/outdoor/water.tga
blendfunc GL_DST_COLOR GL_ONE //Advanced Blendfunc
tcMod turb .1 .1 0 .01 //Turbulence effect to distort the repeating texture effect.
tcMod scale .5 .5
tcMod scroll -.02 .1
}{
map $lightmap
rgbGen identity //Colors specified to be white (1.0 1.0 1.0)
tcGen lightmap //Soubok comment? Dunno
blendfunc filter
}
}
textures/outdoor/water_bluish
{
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm water
  surfaceparm fog //Adds fog property for lowering visibility of water
  fogparms ( 0.01 0.03 0.03 ) 256 //fog settings (R,G,B) Distance to 0% Transparency

  cull disable
  deformVertexes wave 64 sin .25 .25 0 .5
  {
    map textures/outdoor/water3.tga
    blendFunc GL_DST_COLOR GL_ONE
    rgbgen identity
    tcmod scale .2 .2
    tcmod scroll .025 .01
  }

  {
    map textures/outdoor/water3.tga
    blendFunc GL_DST_COLOR GL_ONE
    tcmod scale -.5 -.5
    tcmod scroll .025 .025
  }


  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
    rgbgen identity
  }
}
textures/outdoor/clouds
{
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm water
  surfaceparm fog //Adds fog property for lowering visibility of water
  fogparms ( 0.5 0.5 0.5 ) 128 //fog settings (R,G,B) Distance to 0% Transparency

  cull disable
  deformVertexes wave 64 sin .25 .25 0 .5
  {
    map textures/outdoor/clouds.tga
    blendFunc GL_DST_COLOR GL_ONE
    rgbgen identity
    tcmod scale .2 .2
    tcmod scroll .025 .01
  }

  {
    map textures/outdoor/clouds.tga
    blendFunc GL_DST_COLOR GL_ONE
    tcmod scale -.5 -.5
    tcmod scroll .025 .025
  }


  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
    rgbgen identity
  }
}


textures/letgo/red_glass2
{
	qer_editorimage textures/letgo/red_glass2.tga
        surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	qer_trans 	0.5

        {
		map textures/letgo/red_glass2.tga
		blendFunc blend
		rgbGen identity
	}          
}
